Bug 963211 - Review Request: perl-Time-Mock - Replaces actual time with simulated time - alternative to Test::MockTime
Review Request: perl-Time-Mock - Replaces actual time with simulated time - a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 963213
  Show dependency treegraph
 
Reported: 2013-05-15 08:08 EDT by Yanko Kaneti
Modified: 2013-05-17 14:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 14:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2013-05-15 08:08:41 EDT
Spec URL: http://declera.com/~yaneti/perl-Time-Mock/perl-Time-Mock.spec
SRPM URL: http://declera.com/~yaneti/perl-Time-Mock/perl-Time-Mock-0.0.2-1.fc20.src.rpm
Description: Replaces actual time with simulated time - alternative to Test::MockTime
Fedora Account System Username: yaneti

perl-Time-Mock.noarch: W: spelling-error Summary(en_US) MockTime -> Mock Time, Mock-time, Mortimer
perl-Time-Mock.noarch: W: spelling-error %description -l en_US MockTime -> Mock Time, Mock-time, Mortimer
perl-Time-Mock.noarch: W: spelling-error %description -l en_US timestep -> time step, time-step, estimate
perl-Time-Mock.noarch: W: spelling-error %description -l en_US HiRes -> Hires, Hines, Hies
perl-Time-Mock.src: W: spelling-error Summary(en_US) MockTime -> Mock Time, Mock-time, Mortimer
perl-Time-Mock.src: W: spelling-error %description -l en_US MockTime -> Mock Time, Mock-time, Mortimer
perl-Time-Mock.src: W: spelling-error %description -l en_US timestep -> time step, time-step, estimate
perl-Time-Mock.src: W: spelling-error %description -l en_US HiRes -> Hires, Hines, Hies
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Petr Šabata 2013-05-16 09:05:07 EDT
Missing build-time deps:
 - perl(Carp)
 - Recommended: perl(strict), perl(version), perl(warnings)

Line 33 is not necessary.

Consider correcting the 'timestep' spelling as suggested by rpmlint.

No other issues.
Comment 2 Yanko Kaneti 2013-05-16 17:09:23 EDT
Thanks for the review. New spec should fix all those issues.

0.0.2-2
- Address review comments. (#963211#c1)

Spec URL: http://declera.com/~yaneti/perl-Time-Mock/perl-Time-Mock.spec
SRPM URL: http://declera.com/~yaneti/perl-Time-Mock/perl-Time-Mock-0.0.2-2.fc20.src.rpm
Comment 3 Petr Šabata 2013-05-17 09:34:26 EDT
Ok, looks good.
Approving.
Comment 4 Yanko Kaneti 2013-05-17 10:26:27 EDT
New Package SCM Request
=======================
Package Name: perl-Time-Mock
Short Description: Replaces actual time with simulated time - alternative to Test::MockTime
Owners: yaneti
Branches: f19 el6
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-05-17 13:11:01 EDT
Git done (by process-git-requests).
Comment 6 Yanko Kaneti 2013-05-17 14:06:06 EDT
Built for rawhide, f19 and el6. Bodhi updates for f19 and el6 submitted.

Closing. Thanks all.

Note You need to log in before you can comment on or make changes to this bug.